Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls.application
Class ThemePresentationContext

    java.lang.Object
      com.bea.netuix.servlets.controls.ControlContext
          com.bea.netuix.servlets.controls.PresentationContext
              com.bea.netuix.servlets.controls.application.ThemePresentationContext

All Implemented Interfaces
  Serializable

    public class ThemePresentationContext

extends PresentationContext

This class represents a portal theme component. All presentation-related attributes of a theme component are available from instances of this class. Such instances are typically used during portal rendering via look and feel skeleton files (e.g. theme.jsp).

See Also
  `getThemePresentationContext(javax.servlet.http.HttpServletRequest)`, Serialized Form

Field Summary
`protected static String` | `CLASS_NAME`

Method Summary
`String` | `getDefinitionId()` The definition id for the theme.
`String` | `getName()` Returns the theme's name.
`String` | `getSkeletonChromosome()` The specified skeleton chromosome for this theme.
`String` | `getSkinChromosome()` The specified skin chromosome for this theme.
`static ThemePresentationContext` | `getThemePresentationContext(javax.servlet.http.HttpServletRequest request)` This is a convenience method for returning a reference to the current `ThemePresentationContext`.
`String` | `getThemeSkeletonPath()` The webapp-relative path to this theme's skeleton directory.
`String` | `getThemeSkinPath()` The webapp-relative path to this theme's skin directory.
`boolean` | `isUsingAltSkeleton()` Indicates whether or not this theme has a whole or partial set of alternate skeleton JSPs available.
`boolean` | `isUsingAltSkin()` Indicates whether or not this theme has a whole or partial set of alternate skin resources available.

Methods inherited from class com.bea.netuix.servlets.controls.PresentationContext
`getAttributeRenderer, getChildren, getChildren, getFirstChild, getOrderedChildren, getParsedProperties, getPresentationClass, getPresentationId, getPresentationStyle, getProperties, getProperty, getProperty, getPropertyAsBoolean, getPropertyAsInt, getRenderFormat, getResolvedLocale, getTagName, isVisible, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLASS_NAME

    protected static final String CLASS_NAME

Method Detail

### getName

    public String getName()

  Returns the theme's name. This name uniquely identifies the theme and correlates to the subdirectory the theme can be found in for both skeleton and skin, if it exists in either.

  Returns
    The theme's unique name

### isUsingAltSkeleton

    public boolean isUsingAltSkeleton()

  Indicates whether or not this theme has a whole or partial set of alternate skeleton JSPs available. This value is determined dynamically by the presence or absence of such files in the theme's skeleton area.

  Returns
    True if alternate skeleton JSPs are in use

### isUsingAltSkin

    public boolean isUsingAltSkin()

  Indicates whether or not this theme has a whole or partial set of alternate skin resources available. This value is determined dynamically by the presence or absence of such files in the theme's skin area.

  Returns
    True if alternate skin resources are in use

### getThemeSkeletonPath

    public String getThemeSkeletonPath()

  The webapp-relative path to this theme's skeleton directory.

  Returns
    The theme's skeleton path

### getThemeSkinPath

    public String getThemeSkinPath()

  The webapp-relative path to this theme's skin directory.

  Returns
    The theme's skin path

### getSkeletonChromosome

    public String getSkeletonChromosome()

  The specified skeleton chromosome for this theme.

  Returns
    The theme's skeleton chromosome

### getSkinChromosome

    public String getSkinChromosome()

  The specified skin chromosome for this theme.

  Returns
    The theme's skeleton chromosome

### getThemePresentationContext

    public static ThemePresentationContext getThemePresentationContext(javax.servlet.http.HttpServletRequest request)

  This is a convenience method for returning a reference to the current `ThemePresentationContext`. Note this method will only work if called from within a portal (typically, from the theme.jsp skeleton). This method may return null if called when no appropriate context exists, but such a context should safely exist when being fetched from the associated skeleton JSP during normal portal rendering.

  Parameters
    `request` - The current HTTPServletRequest instance
  Returns
    A reference to the current ThemePresentationContext, if any

### getDefinitionId

    public String getDefinitionId()

  The definition id for the theme. This value is only valid in portal streaming mode.

  Returns
    The definition id of this theme

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.